---
title: Self-Hosting
sidebar_position: 2
sidebar_custom_props:
  icon: TbServer
---
Right now, Docker containers are the only hosting option available, with more simple options to self-host Twenty coming soon. 
Feel free to open issues on [GitHub](https://github.com/twentyhq/twenty/issues/new) if you want support for a specific cloud provider.

## Production docker containers

The codebase includes production-ready set of `Dockerfiles` to allow you to build your own image and deploy it to your favorite cloud provider (Amazon Web Services, Google Cloud Platform, etc.).

You will find these in the [infra/prod/front/Dockerfile](https://github.com/twentyhq/twenty/blob/main/infra/prod/front/Dockerfile) and [infra/prod/server/Dockerfile](https://github.com/twentyhq/twenty/blob/main/infra/prod/server/Dockerfile) files.

### Front

```bash
docker build \
 --build-arg REACT_APP_SERVER_BASE_URL=REPLACE_ME \
 -t twenty-front:latest \
 -f ./infra/prod/front/Dockerfile .
```

### Server

:::info Note

To run the server, you will need to set the environment variables listed [here](https://github.com/twentyhq/twenty/blob/main/server/.env.example).

:::

```bash
docker build \
  -t twenty-server:latest \
  -f ./infra/prod/server/Dockerfile .
```

## Render

[![Deploy to Render](https://render.com/images/deploy-to-render-button.svg)](https://render.com/deploy?repo=https://github.com/twentyhq/twenty)


## AWS Elastic Beanstalk (Coming soon)

A joint Docker image - containing both the frontend and server - that you can deploy using [AWS Elastic Beanstalk](https://aws.amazon.com/elasticbeanstalk/) is in the works. 


<!--

## Railway 
[![Deploy on Railway](https://railway.app/button.svg)](https://railway.app/template/YWGqza?referralCode=3CLObs)

-->